export const asideMap: Recordable<AsideEntity> = {
  izupuser: {
    label: '提报人',
    defaultValue: null,
    isDefaultFilter: true,
    key: 'izupuser',
    component: ReportUserVue,
  },
  izproject: {
    label: '所属项目',
    defaultValue: null,
    isDefaultFilter: true,
    key: 'izproject',
    component: IzProjectVue,
  },
  izplan: {
    label: '所属计划',
    defaultValue: null,
    isDefaultFilter: true,
    key: 'izplan',
    component: PlanVue,
  },
  izstatus: {
    label: '审批状态',
    defaultValue: null,
    isDefaultFilter: false,
    key: 'izstatus',
    component: PlanVue, // todo
  },
  izuptime: {
    label: '提报时间',
    defaultValue: null,
    isDefaultFilter: false,
    key: 'izuptime',
    component: TimeVue,
  },
  iztaskrrom: {
    label: '任务来源',
    defaultValue: null,
    isDefaultFilter: false,
    key: 'iztaskrrom',
    component: IztaskrromVue,
  },
  izshowall: {
    label: '显示全部任务数据',
    defaultValue: true,
    isDefaultFilter: false,
    key: 'izshowall',
    component: PictureDownloadVue,
    inFilterList: false,
  },
}
